Back to YouTube
TikHub·YouTube
YouTube Web V2: Shorts search (raw data, recommend V2)
/api/v1/youtube/web_v2/get_shorts_searchsync$0.0015 / callYouTube Shorts specialized search using native YouTube API (TikHub · YouTube Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| search_query | string | yes | Search keyword |
| language_code | string | — | Language code (default "en-US") |
| country_code | string | — | Country code (default "US") |
| time_zone | string | — | LosAngeles, Asia / Time zone (default "America/Los_Angeles") |
| upload_time | string | — | | Upload time filter for Shorts |
| sort_by | string | — | | Sort by for Shorts |
| continuation_token | string | — | Pagination token |
| filter_mixed_content | boolean | — | Filter mixed content (long videos), default True (default true) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_shorts_search","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.